# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1129  -> 1.1130 
#	arch/i386/kernel/dmi_scan.c	1.36    -> 1.37   
#	arch/i386/kernel/pci-pc.c	1.30    -> 1.31   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/10/20	len.brown@intel.com	1.1130
# [ACPI] fix use_acpi_pci !CONFIG_PCI build error per 2.6
# http://bugzilla.kernel.org/show_bug.cgi?id=1392
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/dmi_scan.c b/arch/i386/kernel/dmi_scan.c
--- a/arch/i386/kernel/dmi_scan.c	Mon Oct 20 23:10:55 2003
+++ b/arch/i386/kernel/dmi_scan.c	Mon Oct 20 23:10:55 2003
@@ -549,7 +549,7 @@
 
 
 #ifdef	CONFIG_ACPI_BOOT
-extern int acpi_disabled, use_acpi_pci, acpi_force, acpi_ht;
+extern int acpi_disabled, acpi_force, acpi_ht;
 
 static __init __attribute__((unused)) int acpi_disable(struct dmi_blacklist *d) 
 { 
@@ -579,14 +579,18 @@
 	}
 	return 0;
 } 
+#endif	/* CONFIG_ACPI_BOOT */
 
+#ifdef	CONFIG_ACPI_PCI
 static __init int disable_acpi_pci(struct dmi_blacklist *d) 
 { 
-	printk(KERN_NOTICE "%s detected: force use of pci=noacpi\n", d->ident); 	
-	use_acpi_pci = 0; 
+	extern __init void pci_disable_acpi(void) ;
+
+	printk(KERN_NOTICE "%s detected: force use of pci=noacpi\n", d->ident);
+	pci_disable_acpi();
 	return 0;
 } 
-#endif
+#endif	/* CONFIG_ACPI_PCI */
 
 /*
  *	Process the DMI blacklists
@@ -1058,6 +1062,8 @@
 			MATCH(DMI_PRODUCT_NAME, "eserver xSeries 440"),
 			NO_MATCH, NO_MATCH }},
 
+#endif	/* CONFIG_ACPI_BOOT */
+#ifdef	CONFIG_ACPI_PCI
 	/*
 	 *	Boxes that need ACPI PCI IRQ routing disabled
 	 */
@@ -1068,7 +1074,7 @@
 			/* newer BIOS, Revision 1011, does work */
 			MATCH(DMI_BIOS_VERSION, "ASUS A7V ACPI BIOS Revision 1007"),
 			NO_MATCH }},
-#endif	// CONFIG_ACPI_BOOT
+#endif	/* CONFIG_ACPI_PCI */
 
 	{ NULL, }
 };
diff -Nru a/arch/i386/kernel/pci-pc.c b/arch/i386/kernel/pci-pc.c
--- a/arch/i386/kernel/pci-pc.c	Mon Oct 20 23:10:55 2003
+++ b/arch/i386/kernel/pci-pc.c	Mon Oct 20 23:10:55 2003
@@ -1414,7 +1414,13 @@
 	return;
 }
 
-int use_acpi_pci __initdata = 1;
+static int use_acpi_pci __initdata = 1;
+
+__init void pci_disable_acpi(void)
+{
+	use_acpi_pci = 0;
+	return;
+}
 
 void __init pcibios_init(void)
 {
@@ -1502,7 +1508,7 @@
 		pcibios_last_bus = simple_strtol(str+8, NULL, 0);
 		return NULL;
 	} else if (!strncmp(str, "noacpi", 6)) {
-		use_acpi_pci = 0;
+		pci_disable_acpi();
 		return NULL;
 	}
 	return str;
